WW_MUTEX_UNLOCK(9)

NAME
ww_mutex_unlock - release the w/w mutex

SYNOPSIS

void __sched ww_mutex_unlock(struct ww_mutex * lock);

ARGUMENTS

lock
    the mutex to be released

DESCRIPTION

Unlock a mutex that has been locked by this task previously with any of the ww_mutex_lock* functions (with or without an acquire context). It is forbidden to release the locks after releasing the acquire context.

This function must not be used in interrupt context. Unlocking of a unlocked mutex is not allowed.

AUTHOR

Rusty Russell <rusty@rustcorp.com.au>
    Author.

COPYRIGHT